OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_DataMapNodeOfDataMapOfStringReal Class Reference

`#include <TDataStd_DataMapNodeOfDataMapOfStringReal.hxx>`

## Public Member Functions
| TDataStd_DataMapNodeOfDataMapOfStringReal (const TCollection_ExtendedString &K, const Standard_Real &I, const TCollection_MapNodePtr &n)
TCollection_ExtendedString & | Key () const
Standard_Real & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TCollection_ExtendedString | myKey
Standard_Real | myValue

## Constructor & Destructor Documentation

TDataStd_DataMapNodeOfDataMapOfStringReal::TDataStd_DataMapNodeOfDataMapOfStringReal | ( | const TCollection_ExtendedString & | K,
|  | const Standard_Real & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TDataStd_DataMapNodeOfDataMapOfStringReal::Handle | ( | Standard_Type |  | ) | const

TCollection_ExtendedString& TDataStd_DataMapNodeOfDataMapOfStringReal::Key | ( |  | ) | const

Standard_Real& TDataStd_DataMapNodeOfDataMapOfStringReal::Value | ( |  | ) | const

## Field Documentation

TCollection_ExtendedString TDataStd_DataMapNodeOfDataMapOfStringReal::myKey`[private]`

Standard_Real TDataStd_DataMapNodeOfDataMapOfStringReal::myValue`[private]`

The documentation for this class was generated from the following file:

- TDataStd_DataMapNodeOfDataMapOfStringReal.hxx